/*
 Theme Name:   tandem
 Theme URI:    https://tandem.blog
 Description:  Default GeneratePress child theme
 Author:       tandem
 Author URI:   https://tandem.blog
 Template:     generatepress
 Version:      0.1
*/

@media screen and (max-width: 879px) {

:root {
  --gp-slideout-width: 100% !important;
}
	
	#page {
  margin-top: 80px;
}

}


@media screen and (min-width: 880px) {

:root {
  --gp-slideout-width: 25vw!important;
}

}

#page {
	min-height: 100vh;
	z-index: 1;
}

.page-template-default.page.page-id-183.logged-in.admin-bar.wp-custom-logo.wp-embed-responsive.post-image-aligned-center.slideout-enabled.slideout-both.sticky-menu-no-transition.no-sidebar.nav-below-header.one-container.header-aligned-left.dropdown-hover.customize-support.offside-js--init.using-mouse.offside-js--interact.offside-js--is-open.offside-js--is-left.slide-opened {
	overflow-x: hidden;
}

.inside-navigation.grid-container.grid-parent {
	overflow-x: hidden;
}



/* header sticky 

.site-header {
    position: sticky;
    top: 0;
    z-index: 999;
}

.admin-bar .site-header {
    top: 32px; 
}
*/

/* posició logo + trigger 

.inside-header.grid-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
}
*/

/******** OFFSIDE ********/

.slideout-widget {
  margin: 0px !important;
  width: 100%;
  height: 119px;
  border-bottom: solid 1px var(--contrast);
  background: var(--slideout);	
  position: sticky !important;
  top: 0 !important;
  left:  0 !important;
  z-index: 999 !important;
  display: flex;
  align-items: center;
  padding-left: 100px;
}

/* plegat */

.quiet {
  position: fixed !important;
  top: 0 !important;
	left: 0 !important;
  z-index: 999 !important;
  width: 70px;
	overflow-x: hidden;
}



/* desplegat */

#generate-slideout-menu {
  z-index: 5 !important;
}

/* amaga icona toggle per defecte */
.slideout-exit.has-svg-icon {
  display: none;
}

/* widget area marge */
.nav-below-header .main-navigation .inside-navigation.grid-container, .nav-above-header .main-navigation .inside-navigation.grid-container {
  padding: 0px;
}

/* offside */

.slideout-overlay {
  z-index: 0 !important;
  position: none !important;
  width: 0 !important;
  height: 0 !important;
  height: 0 !important;
  min-height: 0!important;
  top: 0 !important;
  right: 0 !important;
  bottom: 0 !important;
  left: 0 !important;
  background-color: transparent !important;
  visibility: hidden !important;
  opacity:  0 !important;
  cursor: default !important;
  transition: visibility .2s ease,opacity .2s ease;
}


.offside-js--is-open .slideout-overlay {
  visibility: visible !important;
  opacity: 1 !important;
	z-index: 1 !important;
}

.slideout-overlay {
  background-color: rgba(0, 0, 0, 0) !important;
	z-index: 1 !important;
}

.slideout-overlay button.slideout-exit {
  background-color: var(--contrast) !important;
}

.slideout-toggle:not(.has-svg-icon) a::before {
  content: none !important;
}

/* icona toggle open/close offcanvas */


.slide-opened .site-content {
	padding-left: 20px !important;
}

.slide-opened .slideout-toggle h2 {
	transform: rotate(3.142rad);
}


/* contingut s'adapta a l'amplada que queda amb Off Canvas obert*/
.slide-opened #page {
    padding-left: var(--gp-slideout-width);
}


/* conntingut off canvas*/

.main-navigation .inside-navigation {
  flex-direction: column;
  align-items: flex-start !important;
}

.menu-menu-container ul li a {
  text-transform: uppercase !important;
  font-weight: 500 !important;
}


/* project nav */
.post-navigation-link-previous.wp-block-post-navigation-link a {
	font-size: 1rem;
}

.post-navigation-link-previous.wp-block-post-navigation-link a::before {
  content: url(/wp-content/uploads/2023/11/arrow-left.svg);
  width: 30px;
  height: 30px;
  display: inline-block;
  vertical-align: middle;
}

.post-navigation-link-next.wp-block-post-navigation-link a {
	font-size: 1rem;
}

.post-navigation-link-next.wp-block-post-navigation-link a::after {
  content: url(/wp-content/uploads/2023/11/arrow-right.svg);
  width: 30px;
  height: 30px;
  display: inline-block;
  vertical-align: middle;
}

/******* contingut pàgines **********/

/* pàgina amunt per guanyar espai menú */

.container.grid-container {
  width: auto;
 /* margin-left: 70px; */
}

/********* graella projectes *********/


/* postal */
.caixa-postal  {
display: grid;
grid-template-columns: 1fr;
grid-template-rows: 1fr;
grid-column-gap: 0px !important;
grid-row-gap: 0px !important;
}

.imatge_destacada { 
	grid-area: 1 / 1 / 2 / 2; 
}

.titol_entrada { 
	grid-area: 1 / 1 / 2 / 2; 
	padding: 30px;
} 

.one-container.archive .post:not(:last-child):not(.is-loop-template-item), .one-container.blog .post:not(:last-child):not(.is-loop-template-item) {
  padding-bottom: 0px !important;
}




.hoopee-puput-deco .caixa-postal:hover .imatge_destacada {
  opacity: 1 !important;
}





/* plantilla projecte */

/* descripcio_projectes */

.descripcio_projectes {
	position: sticky !important;
  	top: 50px !important;
  	z-index: 999 !important;
	overflow: scroll;
}

/* oembed */
.embed-container { 
        position: relative; 
        padding-bottom: 56.25%;
        overflow: hidden;
        max-width: 100%;
        height: auto;
    } 

    .embed-container iframe,
    .embed-container object,
    .embed-container embed { 
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }


/* galeria */

.post-gallery-img img {
  padding: 10px;
}

.sl-overlay {
  background: var(--base) !important;
}



  /* Firefox */
  * {
    scrollbar-width: thin;
    scrollbar-color: var(--fosc) var(--base);
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 10px;
  }

  *::-webkit-scrollbar-track {
    background: var(--base);
  }

  *::-webkit-scrollbar-thumb {
    background-color: var(--fosc) 
    border-radius: 10px;
    border: 1px solid var(--fosc) var(--base);
  }


/* títol persegueix el ratolí */
@media only screen and (min-width: 1366px) {
        .masonry-post .titol_entrada {
		position: fixed;
		transform: translate(-50%, -50%);
		pointer-events: none;
		left: var(--tandem-postal-x);
		top: var(--tandem-postal-y);
		width: max-content;
        }
}

@media (max-width: 768px) {
.one-container .site-content, .inside-page-header {
    margin: -120px 0 20px 75px;
  }
}

/* Hoopee Puput Mood */

.img_mood {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 50px;
  flex-direction: row;

}

.img_mood img {
	max-width: 90%;
}


